<template>
  <div>
    <h1>MIDI Knife</h1>
    Found the following midi devices connected to this computer: <br />
    <template v-for="device in midiDevices">
      {{ device }}
    </template>
    <b-button @click="sendMidiData"> Send data </b-button>
  </div>
</template>

<script>
import midi from "midi";
export default {
  name: "LandingPage",
  props: {
    msg: String,
  },
  data() {
    return {
      midiDevices: [],
      output: new midi.Output(),
    };
  },
  methods: {
    fetchMidiDevices() {
      const devices = [];
      for (let index = 0; index < this.output.getPortCount(); index++) {
        devices.push(this.output.getPortName(index));
      }
      this.midiDevices = devices;
    },
    sendMidiData() {
      this.output.openPort(0);
      this.output.sendMessage([176, 22, 1]);
      this.output.closePort();
    },
  },
  created() {
    this.fetchMidiDevices();
  },
};
</script>

<style scoped>
h1 {
  text-align: center;
}
</style>
